# Jenkins SSH私钥配置指南

## 🔑 配置SSH私钥凭据

### 步骤1：在Jenkins中添加SSH私钥

1. **进入Jenkins管理界面**
   - 访问：`Jenkins首页 -> Manage Jenkins -> Credentials`

2. **选择凭据域**
   - 点击 `(global)` 域
   - 点击 `Add Credentials`

3. **配置SSH私钥凭据**
   ```
   Kind: SSH Username with private key
   Scope: Global
   ID: deploy-server-ssh-key
   Description: 部署服务器SSH私钥
   Username: root
   Private Key: 选择 "Enter directly"
   ```

4. **粘贴私钥内容**
   将管理员给您的完整私钥内容粘贴到文本框中：
   ```
   -----BEGIN RSA PRIVATE KEY-----
   Proc-Type: 4,ENCRYPTED
   DEK-Info: AES-128-CBC,7019400DF1E53152A70764EC3D3BA618
   
   qtAjNBXdBBtv+jieZqEP3/QxvsH+4VutSOT4yTyNGTGKb7zyUVJk+ygePnpFe4EU
   ... (完整私钥内容)
   -----END RSA PRIVATE KEY-----
   ```

5. **设置私钥密码**
   - Passphrase: 输入私钥的解密密码（需要问管理员）

### 步骤2：修改Jenkinsfile使用SSH私钥

我们需要将Jenkinsfile中的用户名密码认证改为SSH私钥认证。

## 🚀 优势对比

**SSH私钥认证 vs 用户名密码认证：**

| 特性 | SSH私钥 | 用户名密码 |
|------|---------|------------|
| 安全性 | ⭐⭐⭐⭐⭐ | ⭐⭐⭐ |
| 便利性 | ⭐⭐⭐⭐⭐ | ⭐⭐⭐⭐ |
| 企业级 | ✅ 推荐 | ⚠️ 不建议 |
| 密码策略 | 无需考虑 | 需要定期更换 |
| 审计追踪 | 更好 | 一般 |

## 🛠️ 下一步操作

1. **等待当前构建完成**（Maven依赖下载中）
2. **配置SSH私钥凭据**（按上述步骤）
3. **更新Jenkinsfile**（我来帮您修改）
4. **测试SSH连接**

## 📝 需要确认的信息

请向服务器管理员确认：
- SSH私钥的解密密码（passphrase）
- SSH连接的用户名（通常是root）
- 服务器IP：116.62.163.84（已确认）
- SSH端口：22（默认，除非有变更）
